\version "2.24.1"

triple = #(define-music-function (m) (ly:pitch?)
            (make-relative (m) m
                           #{
                             <<
                               { \voiceTwo s8 $m 8[ s8 8 s8 8] }
                               \new Voice { \voiceOne $m 8[ ~ \once\hideNotes 8 8 ~ \once\hideNotes 8 8] ~ \once\hideNotes 8 }
                             >> \oneVoice
                           #}))

double = #(define-music-function (m) (ly:pitch?)
            (make-relative (m) m
                           #{
                             <<
                               { \voiceTwo s8 $m 8[ s8 8] }
                               \new Voice { \voiceOne $m 8[ ~ \once\hideNotes 8 8] ~ \once\hideNotes 8 }
                             >> \oneVoice
                           #}))

IIIa.Violin.1 = \relative c'' {
  \key a\major

  \repeat volta 2 {
    \override Fingering.staff-padding = #2.2
    <>\f << { \triple e } { s8^4 s8^0 s4 s4 } >> |
    a4 e2 |
    \double a, cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) | % bar 5
    a8( e') cis( a) e( cis) |
    d4 b e |
    a,2 r4 |
  }

  \repeat volta 2 {
    \double a' cis8 a |
    gis4 b2 | % bar 10
    \double a gis8 e |
    dis4 b2 |
    \override Fingering.staff-padding = #1.5
    << { \double b' } { s8^4 s8^1 s4 } >> fis8\p( a) |
    e8( gis) e( gis) fis4 |
    <>\f \double b fis8(\p a) | % bar 15
    e8( gis) e( gis) fis4-! |
    \voiceOne e'8\f\noBeam ~ \oneVoice e8 dis( e) cis( e) |
    b8( dis) fis( a) gis( e) |
    cis8( a) gis4 fis |
    e2 r4 | % bar 20
    <>\p \double e g8 e |
    d4 fis2 |
    \double d cis8 a |
    b4 2 |
    <>\f \triple e' | % bar 25
    a4 e2 |
    \double a, cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) |
    a8( e') cis( a) e( cis) | % bar 30
    d4 b e |
    a,2 r4 |
  }
}

IIIb.Violin.1 = \relative c'' {
  \key a\minor

  \repeat volta 2 {
    c8(\p d) c( b) a4 |
    gis2. |
    a8( b) a( gis) a4 | % bar 35
    b2. |
    c8( d) c( b) a4 |
    gis2. |
    a8( b) a( gis) a( b) |
    c4-! r r | % bar 40
  }

  \repeat volta 2 {
    c8( d) c( b) c4 |
    d2. |
    c8( d) c( b) c4 |
    d2. |
    c8( d) c( b) c4 | % bar 45
    d2. |
    c8( d) c( b) a4 |
    gis2. |
    a8( b) a( gis) a4 |
    b2. | % bar 50
    c8( d) c( b) a4 |
    gis2. |
    a8( b) a( gis) a( b) |
    c4-! r r |
  }
}

IIIa.Violin.2 = \relative c'' {
  \key a\major

  \repeat volta 2 {
    \override Fingering.staff-padding = #2.2
    <>\f << { \triple e } { s8^4 s8^0 s4 s4 } >> |
    a4 e2 |
    \double a, cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) | % bar 5
    a8( e') cis( a) e( cis) |
    d4 b e |
    a,2 r4 |
  }

  \repeat volta 2 {
    \double a' cis8 a |
    gis4 b2 | % bar 10
    \double a gis8 e |
    dis4 b2 |
    \override Fingering.staff-padding = #1.5
    << { \double b' } { s8^4 s8^1 s4 } >> fis8\p( a) |
    e8( gis) e( gis) fis4 |
    <>\f \double b fis8(\p a) | % bar 15
    e8( gis) e( gis) fis4-! |
    \voiceOne e'8\f\noBeam ~ \oneVoice e8 dis( e) cis( e) |
    b8( dis) fis( a) gis( e) |
    cis8( a) gis4 fis |
    e2 r4 | % bar 20
    <>\p \double e g8 e |
    d4 fis2 |
    \double d cis8 a |
    b4 2 |
    <>\f \triple e' | % bar 25
    a4 e2 |
    \double a, cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) |
    a8( e') cis( a) e( cis) | % bar 30
    d4 b e |
    a,2 r4 |
  }
}

IIIb.Violin.2 = \relative c' {
  \key a\minor

  \repeat volta 2 {
    <a e'>4(\p-. 4-. 4)-. |
    <b e>4(-. 4-. 4)-. |
    <c e>4(-. 4-. 4)-. | % bar 35
    <b e>4(-. 4-. 4)-. |
    <a e'>4(-. 4-. 4)-. |
    <b e>4(-. 4-. 4)-. |
    <c e>4(-. 4-. <b e>)-. |
    <a e'>4 r r | % bar 40
  }

  \repeat volta 2 {
    <g e'>4(-. 4-. 4)-. |
    <g f'>4(-. 4-. 4)-. |
    <g e'>4(-. 4-. 4)-. |
    <g f'>4(-. 4-. 4)-. |
    <g e'>4(-. 4-. 4)-. | % bar 45
    <gis f'>4(-. 4-. 4)-. |
    <a e'>4(-. 4-. 4)-. |
    <b e>4(-. 4-. 4)-. |
    <c e>4(-. 4-. 4)-. |
    <b e>4(-. 4-. 4)-. | % bar 50
    <a e'>4(-. 4-. 4)-. |
    <b e>4(-. 4-. 4)-. |
    <c e>4(-. 4-. <b e>)-. |
    <a e'>4 r r |
  }
}

IIIa.Viola = \relative c'' {
  \key a\major

  \repeat volta 2 {
    R2.*2 |
    \override Fingering.staff-padding = #3.2
    <>\f << { \double a } { s8^4 s8^0 s4 } >> cis8 a |
    e4 2 |
    r4 fis e | % bar 5
    e2 cis4 |
    d4 b e |
    a,4 r r |
  }

  \repeat volta 2 {
    r4 r e' |
    e4 4 gis | % bar 10
    cis,4 fis e |
    b4 dis fis |
    e4 r b\p |
    b4 e dis |
    r4 r b | % bar 15
    b4 e dis |
    e2.\f ~ |
    4 b b |
    a4 b b |
    e4 b e, | % bar 20
    r4 cis'\p cis |
    b4 r b8 cis |
    d4 b a |
    gis4 2 |
    R2.*2 |
    <>\f \double a' cis8 a |
    e4 2 |
    r4 fis e |
    e2 cis4 | % bar 30
    d4 b e |
    a,4 r r |
  }
}

IIIb.Viola = \relative c' {
  \key a\minor

  \repeat volta 2 {
    a4\p-. r r |
    e'4-. r r |
    a,4-. r r | % bar 35
    gis4-. r r |
    a4-. r r |
    e'4 r r |
    a,4 r e' |
    a,4 r r | % bar 40
  }

  \repeat volta 2 {
    c4 r r |
    b4 r r |
    c4 r r |
    b4 r r |
    c4 r r | % bar 45
    b4 r r |
    a4 r r |
    e'4 r r |
    a4 r r |
    gis4 r r | % bar 50
    a4 r r |
    e4 r r |
    a,4 r e' |
    a,4 r r |
  }
}

IIIa.Cello = \relative c' {
  \key a\major

  \repeat volta 2 {
    R2.*2 |
    \override Fingering.staff-padding = #2.8
    <>\f << { \double a } { s8^4 s8^0 s4 } >> cis8 a |
    e4 2 |
    r4 b' d | % bar 5
    cis2 cis,4 |
    d4 b e |
    a,4 a' a, |
  }

  \repeat volta 2 {
    r4 r a' |
    e4 gis e | % bar 10
    fis4 dis e |
    b4 b' a |
    gis4 r dis\p |
    e4 gis b |
    r4 r dis, | % bar 15
    e4 gis b |
    cis4\f b a |
    gis4 dis e |
    a4 b b, |
    e4 b e, | % bar 20
    r4 cis''\p ais |
    b4 r d,8 cis |
    b4 gis' a |
    e4 e, e |
    R2.*2 |
    <>\f \double a' cis8 a |
    e4 2 |
    r4 b' d |
    cis2 cis,4 | % bar 30
    d4 b e |
    a,4 \fin { a'4 a, } |
  }
}

IIIb.Cello = \relative c {
  \key a\minor

  \repeat volta 2 {
    a4\p-. r r |
    e'4-. r r |
    a4-. r r | % bar 35
    gis4-. r r |
    a4-. r r |
    e4 r r |
    a,4 r e' |
    a,4 r r | % bar 40
  }

  \repeat volta 2 {
    c'4 r r |
    b4 r r |
    c4 r r |
    b4 r r |
    c4 r r | % bar 45
    b4 r r |
    a4 r r |
    e4 r r |
    a4 r r |
    gis4 r r | % bar 50
    a4 r r |
    e4 r r |
    a,4 r e' |
    a,4 r r |
  }
}

IIIa.Oboe.1 = \relative c''' {
  \key a\major

  \repeat volta 2 {
    R2. |
    a4\f e2 |
    r4 r cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) | % bar 5
    a8( e') cis( a) e'( cis) |
    d4 b e |
    a,4 r r |
  }

  \repeat volta 2 {
    r4 r cis8 a |
    gis4 b2 | % bar 10
    r4 r gis8 e |
    b'4 2 |
    R2.*4 |
    \partCombineApart e4( dis cis) |
    b4 \partCombineAutomatic a'4 gis |
    \partCombineApart cis,8( fis) \partCombineAutomatic e4 dis |
    e2 r4 | % bar 20
    R2.*5 | % bar 25
    a4 e2 |
    r4 r cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) |
    a8( e') cis( a) e'( cis) | % bar 30
    d4 b e |
    a,4 r r |
  }
}

IIIa.Oboe.2 = \relative c''' {
  \key a\major

  \repeat volta 2 {
    R2. |
    a4\f e2 |
    r4 r cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) | % bar 5
    a8( e') cis( a) e'( cis) |
    d4 b e |
    a,4 r r |
  }

  \repeat volta 2 {
    r4 r cis8 a |
    gis4 b2 | % bar 10
    r4 r gis8 e |
    b'4 2 |
    R2.*4 |
    e4( dis cis) |
    b4 fis' e |
    cis8( a) gis4 fis |
    e2 r4 | % bar 20
    R2.*5 | % bar 25
    a'4 e2 |
    r4 r cis8 a |
    e4 2 |
    d8( d') d,( d') b( gis) |
    a8( e') cis( a) e'( cis) | % bar 30
    d4 b e |
    a,4 r r |
  }
}

IIIa.Horn.1 = \relative c'' {

  \repeat volta 2 {
    R2.*2 |
    a4\f 4 4 |
    \partCombineApart e4 2 |
    \partCombineAutomatic R2.*2 |
    r4 r b' |
    a4 r r |
  }

  \repeat volta 2 {
    R2. |
    b2. | % bar 10
    \once \partCombineApart a4 r r |
    R2.*5 |
    \partCombineApart e2. ~ |
    4 r r |
    r4 b' b |
    \partCombineAutomatic b2 r4 | % bar 20
    R2.*6 |
    a4 4 4 |
    \partCombineApart e4 2 |
    \partCombineAutomatic R2.*2 | % bar 30
    r4 r b' |
    a4 r r |
  }
}

IIIa.Horn.2 = \relative c' {

  \repeat volta 2 {
    R2.*2 |
    a4\f 4 4 |
    e'4 2 |
    R2.*2 |
    r4 r e |
    cis4 r r |
  }

  \repeat volta 2 {
    R2. |
    e2. | % bar 10
    a4 r r |
    R2.*5 |
    e2. ~ |
    4 r r |
    r4 b' b |
    e,2 r4 | % bar 20
    R2.*6 |
    a,4 4 4 |
    e'4 2 |
    R2.*2 | % bar 30
    r4 r e |
    cis4 r r |
  }
}

IIIa.structure = \new Structure {
  \movement "Menuet"
  \tempo "Allegro molto"
  \time 3/4
  \key a\major
  \repeat volta 2 { s2.*8 }
  \repeat volta 2 { s2.*24 }
}

IIIb.structure = \new Structure {
  \movement "Trio"
  \time 3/4
  \key a\minor
  \set Score.currentBarNumber = #33
  \repeat volta 2 { s2.*8 }
  \repeat volta 2 { s2.*14 }
  \dacapo "Menuet da capo"
}
